OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
MusicDriver Class Reference

Driver for all music playback. More...

`#include <music_driver.hpp>`

Inheritance diagram for MusicDriver:

## Public Member Functions
virtual void | PlaySong (const char *filename)=0
| Play a particular song.
virtual void | StopSong ()=0
| Stop playing the current song.
virtual bool | IsSongPlaying ()=0
| Are we currently playing a song?
virtual void | SetVolume (byte vol)=0
| Set the volume, if possible.
Public Member Functions inherited from Driver
virtual const char * | Start (const char *const *parm)=0
| Start this driver.
virtual void | Stop ()=0
| Stop this driver.
virtual const char * | GetName () const =0
| Get the name of this driver.

## Static Public Member Functions
static MusicDriver * | GetInstance ()
| Get the currently active instance of the music driver.

## Additional Inherited Members
Public Types inherited from Driver
enum | Type { DT_BEGIN = 0, DT_MUSIC = 0, DT_SOUND, DT_VIDEO, DT_END }
| The type of driver. More...

## Detailed Description

Driver for all music playback.

Definition at line 18 of file music_driver.hpp.

## Member Function Documentation

virtual bool MusicDriver::IsSongPlaying | ( |  | ) |
| pure virtual

Are we currently playing a song?

Returns
  True if a song is being played.

Implemented in MusicDriver_ExtMidi, MusicDriver_DMusic, MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_LibTimidity, MusicDriver_Null, MusicDriver_OS2, MusicDriver_Win32, MusicDriver_Cocoa, and MusicDriver_QtMidi.

virtual void MusicDriver::PlaySong | ( | const char * | filename | ) |
| pure virtual

Play a particular song.

Parameters

  filename | The name of file with the song to play.

Implemented in MusicDriver_ExtMidi, MusicDriver_DMusic, MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_LibTimidity, MusicDriver_Null, MusicDriver_OS2, MusicDriver_Win32, MusicDriver_Cocoa, and MusicDriver_QtMidi.

virtual void MusicDriver::SetVolume | ( | byte | vol | ) |
| pure virtual

Set the volume, if possible.

Parameters

  vol | The new volume.

Implemented in MusicDriver_ExtMidi, MusicDriver_DMusic, MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_LibTimidity, MusicDriver_Null, MusicDriver_OS2, MusicDriver_Win32, MusicDriver_Cocoa, and MusicDriver_QtMidi.

Referenced by AfterNewGRFScan::OnNewGRFsScanned().

The documentation for this class was generated from the following file:

- src/music/music_driver.hpp